Bug 26112 - can't make tftpd work at all
can't make tftpd work at all
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-05 12:29 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 23:25:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-05 12:29:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i586)


I can't make it work at all.  It doesn't matter what settings, what user it
runs as or what the serverarguments are.  It simply reports as Service
temprorarily unavailable.
I tried the process running as root and as nobody.  I used the -c option
and the -s option.  the -s option reports as illegal (permissions on
in.tftpd probably.)  disabled = no is set in /etc/xinetd.d/tftp.

Reproducible: Always
Steps to Reproduce:
1. change the /etc/xinetd.d/tftp line from disabled = yes to disabled = no
2. restart xinetd
3. execute "touch /tftpboot/inet-gw.lamere.net.cfg

then go to the cisco router and copy running-config tftp
# host: canon.maurand.com
# filename [running-config] inet-gw.lamere.net.cfg

Error, Access denied.  

I have no access restrictions set.	

Actual Results:  Access denied at the client (and unspecified error) and
the server reports service temporarily unavailable.  I changed xinetd
logging level and tftp's to a higher level for debugging purposes, though I
don't get very much information.

Expected Results:  "File written to network successful."
Comment 1 Need Real Name 2001-02-05 14:32:30 EST
I downloaded the netkit-0.16.tar.gz from Sunsite and compiled.  It fixed the
problem, which means that the in.tftpd that ships with RH 7.0 is broken.

Comment 2 Trond Eivind Glomsrxd 2001-02-06 11:37:52 EST
What did you compile? inetd or in.tftpd?
Comment 3 Need Real Name 2001-02-06 23:25:55 EST
I compiled the whole thing, but I'm only using the tftpd.  I copied it 
to /usr/sbin and I changed the /etc/xinetd.d/tftp script to call it.

That one works fine.
Comment 4 Trond Eivind Glomsrxd 2001-02-08 22:16:46 EST
This is fixed in tftp 0.17-9 (possibly earlier as well...) in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.